/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

// eslint-disable-next-line import/no-unresolved
const { TestFailures } = require('kibana-buildkite-library');

(async () => {
  try {
    await TestFailures.annotateTestFailures();
  } catch (ex) {
    console.error(
      'Annotate test failures error',
      ex.message,
      ex?.stack || 'no stacktrace information'
    );
    if (ex.response) {
      const requestUrl = ex.response?.url || ex.response?.config?.url || '';
      console.error(
        `HTTP Error ${ex.response.status}/${ex.response.statusText} (${requestUrl})`,
        ex.response.data
      );
    }
    process.exit(1);
  }
})();
